class Admin::Operations::ActionsController < ApplicationController

  def index
    @actions = Operations.operations_list
    respond_to do |format|
      format.html {
        @editing = params[:edit].to_s.downcase.strip == 'true'
        @editing_title = @editing ? 'Manage actions' : 'View actions'
      }
      format.json { render json: @actions }
    end
  end

  def details
    operation = Operations.from_uuid(params[:uuid])
    if operation
      users = operation.users
      if users
        render json: {success: true, operation: operation, users: users}
      else
        render json: {success: false, message: "Operation with UUID `#{params[:uuid]}' is not valid."}
      end
    else
      render json: {success: false, message: "Operation with UUID `#{params[:uuid]}' not found."}
    end
  end

end
