class Admin::Operations::UsersController < ApplicationController

  def index
    @permissions = Operations.user_roles
    respond_to do |format|
      format.html {
        @editing = params[:edit].to_s.downcase.strip == 'true'
        @editing_title = @editing ? 'Manage user permissions' : 'View user permissions'
      }
      format.json { render json: @permissions }
    end
  end

  def details
    operation = Operations.user_roles.select{|o| o[:name].to_sym == params[:value].to_sym}.first
    if operation
      operations_list = Operations.operations_for(params[:value].to_sym)
      if operations_list
        render json: {success: true, operations: operations_list.as_json(methods: [:users]), operation: operation.as_json(methods: [:users])}
      else
        render json: {success: false, message: "Operation role `#{params[:value]}' is not valid."}
      end
    else
      render json: {success: false, message: "Operation role `#{params[:value]}' not found."}
    end
  end

end
