Operations::Config.setup do |config|

  # Add here which operations to restrict on the app.
  config.operations_list += []

  # Add here what types of users will be able to execute anything
  # on your app. A user type not defined won't even be able to load
  # the application, so please be careful.
  # config.user_roles += []

  # Define what format should operations take.
  config.operation_name_regex = %r{\w}

  # Defines which hashing algorithm should be used for computing the
  # operation's UUID. Must be a callable Class instance
  config.operation_uuid_algorithm = OpenSSL::Digest::SHA256

  # Enforcing the operations to your app can be done by extending the
  # ApplicationController by Operations::EnforcedController. You also
  # need to define which routes are associated with which operation.
  #
  # Caution: Any route that is not defined here will be ignored and thus
  # allowed. To ensure you're not forgetting anything, you can use the "*"
  # as a wildcard symbol.
  #
  # Example: associating all actions in the UsersController to the
  # users_action operation can be done with:
  # config.enforcements << {controller: :user, action: '*', operation: :users_action}
  config.enforcements = [
    # {controller: :application, action: '*', operation: :your_operation}
  ]

end
