module Operations
  module ActAsOperationable extend ActiveSupport::Concern
    class_methods do
      def acts_as_operationable(options={})
      end
    end

    def get_operations
      unless respond_to?(:operations)
        raise Operations::Errors::NotImplementedError.new(self.class, :operations)
      end
      unless self.operations.nil? || self.operations.class == String
        raise Operations::Errors::InvalidFieldError.new(:operations, self.class, String)
      end
      self.operations.to_s.to_operations
    end

    def named_scope
      Operations.user_role_name_from(role || 2)
    end

    def as_json(options={})
      super.as_json(options).merge({scope: named_scope, operations: get_operations})
    end
  end
end
