module Operations
  class Railtie < ::Rails::Railtie
    config.operations_list = []
    config.operations = []
    config.user_roles = [
      {name: :admin, value: 0, db_value: 0},
      {name: :guest, value: 3, db_value: 1},
      {name: :regular, value: 2, db_value: 2},
      {name: :technician, value: 1, db_value: 3},
      {name: :all},
      {name: :nobody}
    ]
    config.operation_scope_regex = %r{\A(#{config.user_roles.map{|o| o[:name]}.join('|')})\z}
    config.operation_name_regex = %r{\w}
    config.operation_uuid_algorithm = OpenSSL::Digest::SHA256
  end
end
